Create SP configuration
Creates the SAML2 SP configuration for an organization. If sign_requests is true, an RSA key pair and X.509 certificate are auto-generated to sign AuthnRequests. Only one SP configuration per organization is allowed.
Authentication
Api-Keystring
API key of the organization. Always sent together with the Secret-Access header.
Path parameters
centralized_organization_slug
Headers
Secret-Access
Request
This endpoint expects an object.
entity_id
Entity ID URI for the SP
acs_url
Assertion Consumer Service URL
slo_url
Single Logout URL
sign_requests
Whether to sign AuthnRequests
name_id_format
Name ID format for SAML assertions
validity_days
Certificate validity in days
Response
Successful Response
message
Message of the response
datetime
Datetime of the API in ISO Format
data
Errors
400
Bad Request Error
409
Conflict Error
422
Unprocessable Entity Error
